Bug 236331 - [patch] x11-fonts/mkfontscale: update to version 1.2.0; remove unrecognized configure argument; ask the x11 team for help
Summary: [patch] x11-fonts/mkfontscale: update to version 1.2.0; remove unrecognized c...
Status: Closed Overcome By Events
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-x11 (Nobody)
URL:
Keywords:
Depends on: 236336
Blocks:
  Show dependency treegraph
 
Reported: 2019-03-06 18:16 UTC by Samy Mahmoudi
Modified: 2019-03-11 21:28 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (x11)


Attachments
Patch file generated with svn diff (1.13 KB, patch)
2019-03-06 18:16 UTC, Samy Mahmoudi
no flags Details | Diff
Poudriere log (29.11 KB, text/plain)
2019-03-06 18:17 UTC, Samy Mahmoudi
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Samy Mahmoudi 2019-03-06 18:16:23 UTC
x11-fonts/mkfontscale: Update to 1.2.0

Update x11-fonts/mkfontscale to 1.2.0
Remove unrecognized configure argument --disable-maintainer-mode
Unstage mkfontdir bin and man until proper decision is taken by competent authority

Starting with this release, 1.2.0, it now includes the mkfontdir script
previously distributed separately for compatibility with older X11 versions.
(The entries in the changelog referenced below starting with 'mkfontdir: '
represent the git commits grafted from the mkfontdir repo and were all
included in the mkfontdir 1.0.7 or earlier releases.)

Changelog:
https://lists.x.org/archives/xorg/2019-March/059633.html
Comment 1 Samy Mahmoudi 2019-03-06 18:16:49 UTC
Created attachment 202658 [details]
Patch file generated with svn diff
Comment 2 Samy Mahmoudi 2019-03-06 18:17:18 UTC
Created attachment 202659 [details]
Poudriere log
Comment 3 Niclas Zeising freebsd_committer 2019-03-06 18:57:30 UTC
This requires far more care, since it touches a lot of infrastructure.  Since mkfontdir is merged into mkfontscale, mkfontdir needs to be gone, and infrastructure needs to be updated.  Work on this is in progress, see our dev repo for details.

https://github.com/FreeBSDDesktop/freebsd-ports/tree/feature/mkfontscale
Comment 4 Samy Mahmoudi 2019-03-08 15:19:32 UTC
(In reply to Niclas Zeising from comment #3)

> ... and infrastructure needs to be updated. Work on this is in progress, see our dev repo for details.
I did not expect such a change to be carried so quickly...
Comment 5 Niclas Zeising freebsd_committer 2019-03-11 21:28:18 UTC
A similar patch has been committed.  Thank you for your submission!